org.apache.mina.codec

## Class ProtocolDecoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.codec.ProtocolDecoderException

All Implemented Interfaces:
  Serializable

    public class ProtocolDecoderException
    extends RuntimeException

Exception thrown by a `ProtocolDecoder` if something wrong happen during decoding.

Author:
  Apache MINA Project
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ProtocolDecoderException()`
`ProtocolDecoderException(String message)`
`ProtocolDecoderException(String message, Throwable cause)`
`ProtocolDecoderException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProtocolDecoderException

    public ProtocolDecoderException()

#### ProtocolDecoderException

    public ProtocolDecoderException(String message)

#### ProtocolDecoderException

    public ProtocolDecoderException(Throwable cause)

#### ProtocolDecoderException

    public ProtocolDecoderException(String message,
                            Throwable cause)